## freefem++ 3.20

=== download/gmm/Makefile ===
# Downloading and compiling extra libraries
# -----------------------------------------

# $Id$
include cxxflags



# Downloading and compiling FFTW
# ------------------------------
PKG=gmm
# $(PKG) information
SRCDIR=$(PKG)-$(PKG_VERSION)
PACKAGE=$(PKG)-$(PKG_VERSION).tar.gz
SERVER=http://download.gna.org/getfem/stable
PKGDIR=../pkg
PKG_VERSION=4.2
INSTALL=../..


$(PKG):FAIT 

FAITwin32-dll-target:
	echo "On Pure Win32 (to hard to compile) "

FAIT: 
	$(MAKE) install  
	touch FAIT
	$(MAKE) WHERE  	

FAIRE: $(SRCDIR) 
	cd $(SRCDIR) && ./configure --disable-dependency-tracking   --prefix=`pwd`/$(INSTALL) CXX="$(CXX)" CC="$(CC)"  CFLAGS="$(CFLAGS)" CPP='gcc -E' CXXFLAGS="$(CXXFLAGS)"
	cd $(SRCDIR) && make
	touch FAIRE
install: FAIRE 
	cd $(SRCDIR) && make install


$(SRCDIR): $(PKGDIR)/$(PACKAGE)
	gunzip -c   $^ | tar xvf - 

$(PKGDIR)/$(PACKAGE):
	cd $(PKGDIR); $(WGET)  $(SERVER)/$(PACKAGE)

clean: clean-local

clean-local:
	-rm -rf $(PKG)-* FAIT FAIRE

cxxflags: ../Makefile
	grep 'CXX *=' ../Makefile >cxxflags
	grep 'CC *=' ../Makefile >>cxxflags
	grep 'CXXFLAGS *=' ../Makefile >>cxxflags
	grep 'CFLAGS *=' ../Makefile >>cxxflags
	grep 'WGET *=' ../Makefile >>cxxflags
	grep 'WIN32DLLTARGET *=' ../Makefile >>cxxflags

WHERE: 
	-@if [ -f FAIT ] ; then \
	echo build $(SRCDIR)/$(INSTALL)/lib/WHERE.gmm ;\
	echo gmm INCLUDE -I@DIR@/include  > $(SRCDIR)/$(INSTALL)/lib/WHERE.gmm ;\
	echo gmm LD -L@DIR@/lib   >> $(SRCDIR)/$(INSTALL)/lib/WHERE.gmm ;\
	fi

=== download/hips/Makefile ===
# Downloading and compiling extra libraries
# -----------------------------------------
# $Id: Makefile,v 1.2 2010/03/31 08:50:56 hecht Exp $
include makefile.inc

all-local: hips

# Downloading and compiling HIPS
# ------------------------------
# http://hips.gforge.inria.fr/release/hips-1.2b-rc4.tar.gz
# Hips information

DIRPKG=../pkg
SRCDIR=hips-$(hips_VERSION)
PACKAGE=$(DIRPKG)/hips-$(hips_VERSION).tar.gz
SERVER=http://hips.gforge.inria.fr/release/
INSTALL=../..
hips_VERSION=1.2b-rc4

# rappel ::  SRC= $(wildcard *.c) ==> permet de chopper tout les points *.c d'un repertoire
# OBJ =  $(SRC:.c=.o)
# ==> implique *.o dans les repertoire pour recuperer

SRCPhidalCommon = $(SRCDIR)/SRC/PHIDAL/COMMON
ObjPhidalCommon = $(SRCPhidalCommon)/*.o

SRCPhidalOrdering = $(SRCDIR)/SRC/PHIDAL/ORDERING
ObjPhidalOrdering = $(SRCPhidalOrdering)/*.o 

SRCPhidalSequential = $(SRCDIR)/SRC/PHIDAL/SEQUENTIAL
ObjPhidalSequential  = $(SRCPhidalSequential)/*.o 

SRCDBMATRIX = $(SRCDIR)/SRC/BLOCK/DBMATRIX/
ObjBlockDBMATRIX   = $(SRCDIR)/SRC/BLOCK/DBMATRIX/amalgamate.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMatrix2PhidalMatrix.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMatrix_Build.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMatrix_Copy.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMatrix_FACTO2.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMatrix_FACTO.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMatrix_FACTOu.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMatrix_func.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMatrix_GEMM.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMatrix_GEMM_N.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMatrix_GEMMu.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMATRIX_MatVec2.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMATRIX_MatVec.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMATRIX_MLILUPrec.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMATRIX_MLIutil.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMATRIX_PrecSolve.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMATRIX_SEQ.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMatrix_Setup.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMatrix_SetupHID.o \
  	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMatrix_solve2.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMatrix_solve.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMatrix_TRSM.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBPrec_FACTO_TRSM_GEMM_LL.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBPrec_FACTO_TRSM_GEMM_RL.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBPrec_FACTO_TRSM_GEMM_RL_DROP.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBPrec_func.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBPrec_pic.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBPrec_SchurProd.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/db_struct.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/dumpDBMatrix.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/HIPS_SymbolMatrix.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/PHIDAL_SymbolMatrix.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/print.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/SF_Direct.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/size.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMATRIX_MLICCPrec.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMatrix2PhidalMatrix_drop.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/HIPS_Fgmresd_PH_DB.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMatrix_SetupHID.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMATRIX_MLICCPrec.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMATRIX_MLILUPrec.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBPrec_FACTO_TRSM_GEMM_LL.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBPrec_FACTO_TRSM_GEMM_LLu.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMatrix_FACTO.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMatrix_FACTO2u.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBPrec_FACTO_TRSM_GEMM_RL.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBPrec_FACTO_TRSM_GEMM_RLu.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBPrec_FACTO_TRSM_GEMM_RL_DROP.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBPrec_FACTO_TRSM_GEMM_RL_DROPu.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/HIPS_Fgmresd_DB_PH.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/HIPS_Fgmresd_PH_DB.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/HIPS_Fgmresd_DB.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/HIPS_Fgmresd_DB_DB.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/HIPS_PCG_DB_PH.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/HIPS_PCG_PH_DB.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/HIPS_PCG_DB.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/HIPS_PCG_DB_DB.o \
	$(SRCDIR)/SRC/BLOCK/DBMATRIX/DBMatrix2PhidalMatrix_drop.o



SRCBlockSOLVMATRIX = $(SRCDIR)/SRC/BLOCK/SOLVMATRIX
ObjBlockSOLVMATRIX = $(SRCBlockSOLVMATRIX)/*.o

SRCBlockSOLVMATRIX2 = $(SRCDIR)/SRC/BLOCK/SOLVMATRIX2
ObjBlockSOLVMATRIX2 = $(SRCBlockSOLVMATRIX2)/*.o

#/SRC/IO;
ObjIO = $(SRCDIR)/SRC/IO/*.o

#/SRC/PHIDAL/PARALLEL
SRCPhidalParallel = $(SRCDIR)/SRC/PHIDAL/PARALLEL
ObjPhidalParallel  = $(SRCPhidalParallel)/*.o 

#SRC/BLOCK/PARALLEL
ObjBlockParallel = $(SRCDIR)/SRC/BLOCK/PARALLEL/DBDistrMatrix_func.o $(SRCDIR)/SRC/BLOCK/PARALLEL/DBDistrMatrix_Build.o $(SRCDIR)/SRC/BLOCK/PARALLEL/DBDistrMatrix_Setup.o $(SRCDIR)/SRC/BLOCK/PARALLEL/DBDistrMatrix_Copy.o $(SRCDIR)/SRC/BLOCK/PARALLEL/DBDISTRMATRIX_SEQ.o $(SRCDIR)/SRC/BLOCK/PARALLEL/DBDISTRMATRIX_MLICCPrec.o $(SRCDIR)/SRC/BLOCK/PARALLEL/DBDISTRMATRIX_MLILUPrec.o $(SRCDIR)/SRC/BLOCK/PARALLEL/db_parallel_struct.o $(SRCDIR)/SRC/BLOCK/PARALLEL/DBcomm.o $(SRCDIR)/SRC/BLOCK/PARALLEL/DBDistrMatrix2PhidalDistrMatrix.o $(SRCDIR)/SRC/BLOCK/PARALLEL/DBDISTRMATRIX_PrecSolve.o $(SRCDIR)/SRC/BLOCK/PARALLEL/DBDistrMatrix_solve.o $(SRCDIR)/SRC/BLOCK/PARALLEL/DBDistrMatrix_ICCT.o $(SRCDIR)/SRC/BLOCK/PARALLEL/CellDBDistr.o $(SRCDIR)/SRC/BLOCK/PARALLEL/VS_RowDiv.o $(SRCDIR)/SRC/BLOCK/PARALLEL/HIPS_DistrFgmresd_PH_DB.o $(SRCDIR)/SRC/BLOCK/PARALLEL/HIPS_DistrFgmresd_DB_PH.o $(SRCDIR)/SRC/BLOCK/PARALLEL/HIPS_DistrFgmresd_DB.o $(SRCDIR)/SRC/BLOCK/PARALLEL/HIPS_DistrFgmresd_DB_DB.o $(SRCDIR)/SRC/BLOCK/PARALLEL/DBDistrPrec_SchurProd.o $(SRCDIR)/SRC/BLOCK/PARALLEL/DBDistrMatrix_SetupHID.o $(SRCDIR)/SRC/BLOCK/PARALLEL/HIPS_DistrPCG_PH_DB.o $(SRCDIR)/SRC/BLOCK/PARALLEL/HIPS_DistrPCG_DB_PH.o $(SRCDIR)/SRC/BLOCK/PARALLEL/DBDistrPrec_func.o $(SRCDIR)/SRC/BLOCK/PARALLEL/DBDistrMatrix_FACTO.o $(SRCDIR)/SRC/BLOCK/PARALLEL/DBDistrMatrix_FACTOu.o \
	$(SRCDIR)/SRC/BLOCK/PARALLEL/DBDistrPrec_FACTO_TRSM_GEMM_LL.o \
	$(SRCDIR)/SRC/BLOCK/PARALLEL/DBDistrPrec_FACTO_TRSM_GEMM_RL.o \
	$(SRCDIR)/SRC/BLOCK/PARALLEL/DBDistrPrec_FACTO_TRSM_GEMM_RL_DROP.o \
	$(SRCDIR)/SRC/BLOCK/PARALLEL/DBDistrPrec_FACTO_TRSM_GEMM_LLu.o \
	$(SRCDIR)/SRC/BLOCK/PARALLEL/DBDistrPrec_FACTO_TRSM_GEMM_RLu.o \
	$(SRCDIR)/SRC/BLOCK/PARALLEL/DBDistrPrec_FACTO_TRSM_GEMM_RL_DROPu.o \
	$(SRCDIR)/SRC/BLOCK/PARALLEL/DBDistrPrec_func2.o $(SRCDIR)/SRC/BLOCK/PARALLEL/DBDistrMatrix_solve_sub.o $(SRCDIR)/SRC/BLOCK/PARALLEL/DBcomm2.o $(SRCDIR)/SRC/BLOCK/PARALLEL/DBDISTRMATRIX_MatVec2.o


#SRC/HIPS_WRAPPER
ObjHIPS_WRAPPER= $(SRCDIR)/SRC/HIPS_WRAPPER/*.o

#SRC/BLAS
ObjBLAS= $(SRCDIR)/SRC/BLAS/zsymv.o $(SRCDIR)/SRC/BLAS/csymv.o

#SRC/SPKIT pas besoin
ObjSPKIT= $(SRCDIR)/SRC/SPKIT/skitfc.o $(SRCDIR)/SRC/SPKIT/skitf.o


# definition of obj for librairies
OBJLIBHIPSSEQUENTIAL = $(ObjPhidalCommon) $(ObjPhidalOrdering) $(ObjPhidalSequential) $(ObjBlockDBMATRIX) $(ObjBlockSOLVMATRIX) $(ObjBlockSOLVMATRIX2) $(ObjHIPS_WRAPPER) $(ObjBLAS)
OBJLIBHIPS = $(ObjPhidalCommon) $(ObjPhidalOrdering) $(ObjPhidalSequential) $(ObjBlockDBMATRIX) $(ObjBlockSOLVMATRIX) $(ObjBlockSOLVMATRIX2) $(ObjPhidalParallel) $(ObjBlockParallel) $(ObjHIPS_WRAPPER) $(ObjBLAS)

OBJLIBIO = $(ObjIO)

ifndef FC
OBJLIBSPKIT = 
else
OBJLIBSPKIT = $(ObjSPKIT)
endif

hips: FAIRE  

FAIT:  
	$(MAKE) $(SRCDIR)/$(INSTALL)  WHERE
	touch FAIT

FAIRE: FAIT 

makefile.inc: ../Makefile   ../../config.status makefile-hips.inc Makefile     
	../../config.status  --file="makefile.inc:makefile-hips.inc"


install:$(SRCDIR)/$(INSTALL)

$(SRCDIR)/$(INSTALL): $(SRCDIR)/tag-ff++
	cp makefile.inc $(SRCDIR)
	cd $(SRCDIR); $(MAKE)
	-rm $(SRCDIR)/LIB/*.a
	$(AR) $(ARFLAGS) $(SRCDIR)/LIB/libhips.a $(OBJLIBHIPS)
	$(RANLIB) $(SRCDIR)/LIB/libhips.a
	$(AR) $(ARFLAGS) $(SRCDIR)/LIB/libhipssequential.a $(OBJLIBHIPSSEQUENTIAL)
	$(RANLIB) $(SRCDIR)/LIB/libhipssequential.a
	$(AR) $(ARFLAGS) $(SRCDIR)/LIB/libio.a $(OBJLIBIO) 
	$(RANLIB) $(SRCDIR)/LIB/libio.a
	if [ -n "$(OBJLIBSPKIT)" ] ; then \
	$(AR) $(ARFLAGS) $(SRCDIR)/LIB/libspkit.a $(OBJLIBSPKIT) ;\
	$(RANLIB) $(SRCDIR)/LIB/libspkit.a;\
	fi
	mkdir -p $(SRCDIR)/$(INSTALL)/include/hips
	cp $(SRCDIR)/LIB/*.h $(SRCDIR)/$(INSTALL)/include/hips/
	mkdir -p $(SRCDIR)/$(INSTALL)/lib/hips
	cp $(SRCDIR)/LIB/*.a $(SRCDIR)/$(INSTALL)/lib/hips
WHERE:
	echo hips LD -L@DIR@/lib/hips -lio -lhips  >$(SRCDIR)/$(INSTALL)/lib/WHERE.hips
	echo hips INCLUDE -I@DIR@/include/hips>> $(SRCDIR)/$(INSTALL)/lib/WHERE.hips
	echo hipssequential LD -L@DIR@/lib/hips -lio -lhipssequential  >>$(SRCDIR)/$(INSTALL)/lib/WHERE.hips
	echo hipssequential INCLUDE -I@DIR@/include/hips  >> $(SRCDIR)/$(INSTALL)/lib/WHERE.hips


$(SRCDIR)/tag-ff++: $(PACKAGE)
	tar xvzf $(PACKAGE)
	cd $(SRCDIR); patch -p1 <../hips-1.2b-rc4.patch
#	cd $(SRCDIR)/SRC/INCLUDE/; patch -p1 < ../../../hips-1.2b-rc4-1.patch;
#	cd $(SRCDIR)/SRC/IO/; patch -p1 < ../../../hips-1.2b-rc4-2.patch;
#	cd $(SRCDIR); for d in SRC/INCLUDE SRC/IO SRC/SPKIT TESTS/PARALLEL; do \
#	  cp $$d/makefile $$d/makefile.orig; \
#	  sed 's/\$$(CC).*-E/$$(CPP) $$(CFLAGS) $$(CC_OPT)/' >$$d/makefile <$$d/makefile.orig;\
#	done
#	cp  SRC_SPKIT_makefile $(SRCDIR)/SRC/SPKIT/makefile
	touch $(SRCDIR)/tag-ff++

$(PACKAGE):
	-mkdir $(DIRPKG)
	cd $(DIRPKG);$(WGET)   $(SERVER)/`basename $(PACKAGE)`

clean-local:
	-cd $(SRCDIR) && $(MAKE) clean  -C $(SRCDIR)

clean: clean-local
	rm makefile.inc
	-rm $(SRCDIR)/$(INSTALL)/WHERE/hips
	-rm $(SRCDIR)/$(INSTALL)/lib/hips/*
	-rm -rf $(SRCDIR)/$(INSTALL)/lib/hips/
	-rm $(SRCDIR)/$(INSTALL)/include/hips/*
	-rm -rf $(SRCDIR)/$(INSTALL)/include/hips/
	-rm -rf $(SRCDIR)
	rm FAIT
.PHONY:$(SRCDIR)/$(INSTALL)

=== download/mmg3d/Makefile ===
# Downloading and compiling extra libraries
# -----------------------------------------

# $Id$
all-local: mmg3d

include ff-flags

# Downloading and compiling mmg3d
# -------------------------------
# 
DIRPKG= ../pkg
SRCDIR= ./mmg3d4# lib#-$(mmg3d_VERSION)
PACKAGE=$(DIRPKG)/mmg3d4.0.tgz #mmg3dlib.tar.gz #-$(mmg3d_VERSION).tar.gz
INSTALL=..
mmg3d_VERSION=
# mmg3d pas sur internet
LIBMMG3D=$(INSTALL)/lib/libmmg3d-v4.a
OPT=4

OBJS= analar.o	chkmsh.o	hash.o		memory.o	optcte.o	outqua.o	simu44.o	swap44.o	zaldy.o \
analarcutting.o	chrono.o	heap.o		mmg3d1.o	optlap.o	pattern.o	simu56.o	swap56.o \
baryct.o	colpoi.o	inout.o		mmg3d4.o	optlen.o	quality.o	simu68.o	swap68.o \
boulep.o	coquil.o	length.o	mmg3d9.o	optlentet.o	queue.o		simu710.o	swap710.o \
bucket.o	cutelt.o	librnbg.o	movevertex.o	optra4.o	ratio.o		solmap.o	swapar.o \
		delaunay.o	locate.o	optbdry.o	opttet.o	scalem.o	spledg.o	swaptet.o \
cenrad.o	eigenv.o	matrix.o	optcoq.o	opttyp.o	simu23.o	swap23.o	typelt.o 

OBJSNOP =  cendel.o swapar.o

mmg3d: mmg3d4/build-4


mmg3d4/build-4: 
	-$(MAKE) tag-tar
	if [ -d mmg3d4  ] ; then  $(MAKE)  $(LIBMMG3D) install-4 WHERE ; else echo "Sorry no source " ; fi
$(LIBMMG3D):
	cd mmg3d4/build/sources/; $(MAKE) CC='$(CC)' CFLAGS='$(CNOFLAGS)'  $(OBJSNOP) 
	cd mmg3d4/build/sources/; $(MAKE) CC='$(CC)' CFLAGS='$(CFLAGS)'  $(OBJS) 
	cd mmg3d4/build/sources/mmg3dmain; $(CC) -c $(CNOFLAGS)   mmg3d.c -I..
	$(AR) $(ARFLAGS) $(LIBMMG3D) mmg3d4/build/sources/*.o mmg3d4/build/sources/mmg3dmain/mmg3d.o
	-$(CC) $(CNOFLAGS) mmg3d4/build/sources/mmg3dmain/mmg3d.o   mmg3d4/build/sources/*.o -o ../bin/mmg3d $(STD_LIBS)
	touch mmg3d4/build-4 mmg3d4/FAIT-4
install-4:
	-mkdir ../include/mmg3d-v4/		
	cp mmg3d4/build/sources/*.h ../include/mmg3d-v4/
	touch mmg3d4/FAIT-4

mmg3d-4:$(PACKAGE)
	-if  test 163031 -ne   `stat -f "%z" $(PACKAGE)` ; then echo ++++++ PB version mmg3d version +++++  ; fi

$(PACKAGE):
	-mkdir $(DIRPKG);
#http://www.math.u-bordeaux1.fr/~cdobrzyn/logiciels/download.php?file=mmg3d4.0.tgz
#http://www.math.u-bordeaux1.fr/~dobj/logiciels/mmg3d.php
	cd $(DIRPKG);$(WGET) http://www.math.u-bordeaux1.fr/~cdobrzyn/logiciels/download.php?file=mmg3d4.0.tgz -O mmg3d4.0.tgz
#http://www.math.u-bordeaux1.fr/~dobj/logiciels/download.php?file=`basename $(PACKAGE)`


install:install-4 WHERE

WHERE: 
	@-if [ -f mmg3d4/FAIT-4 ] ; then \
	make install-4;  \
	echo mmg3d-v4  LD -L@DIR@/lib -lmmg3d-v4  >../lib/WHERE.mmg3d ;\
	echo mmg3d-v4 INCLUDE -I@DIR@/include/mmg3d-v4>> ../lib/WHERE.mmg3d ;\
	echo build WHERE ./lib/WHERE.mmg3d ;\
	fi


FAIRE: mmg3d4/FAIT-4 install-4

tag-tar: $(PACKAGE)
	if tar tfz $(PACKAGE)  mmg3d4/build/sources/mmg3d.c 2>/dev/null  1>/dev/null  ;\
	 then  rm $(PACKAGE);   $(MAKe) $(PACKAGE); fi	
	tar xvzf $(PACKAGE)
	touch mmg3d4/build/sources/dataff.h 	
	cd mmg3d4;patch -p1 <../patch-mmg3dv4.diff
	cat </dev/null >mmg3d4/build/sources/mmg3dConfig.h
	touch tag-tar
#	cp makefile-mmg3d.inc $(SRCDIR)/makefile



clean: 
	-rm ff-flags
	-rm -rf $(SRCDIR)/$(INSTALL)/lib/libmmg3d*.a  ../lib/libmmg3d-v4.a
	-rm -rf $(SRCDIR)/$(INSTALL)/include/mmg3d-v4
	-rm -r $(SRCDIR)
	-rm FAIT* mmg* flags-* build-4 tag-tar

ff-flags: ../Makefile Makefile
	grep 'abs_top_builddir *=' ../Makefile >> ff-flags
	grep 'CC *=' ../Makefile >> ff-flags
	grep 'CFLAGS *=' ../Makefile >> ff-flags
	grep 'LDFLAGS *=' ../Makefile >> ff-flags
	grep 'AR *=' ../Makefile >> ff-flags
	grep 'ARFLAGS *=' ../Makefile >> ff-flags
	grep 'RANLIB *=' ../Makefile >> ff-flags
	grep 'WGET *=' ../Makefile >> ff-flags
	grep 'STD_LIBS *=' ../Makefile >> ff-flags
	grep 'CNOFLAGS *=' ../Makefile >> ff-flags
.PHONY:$(SRCDIR)/$(INSTALL)

=== download/mshmet/Makefile ===
# Downloading and compiling extra libraries
# -----------------------------------------

# $Id$
all-local: mshmet

include ff-flags

# Downloading and compiling mshmet
# -------------------------------
# 
DIRPKG= ../pkg
SRCDIR= ./mshmet$(mshmet_VERSION)
#-$(mshmet_VERSION)
PACKAGE=$(DIRPKG)/mshmet$(mshmet_VERSION).tgz
SERVER=http://www.ann.jussieu.fr/~frey/ftp/archives/
INSTALL=../..
mshmet_VERSION=.2012.04.25
FAIRE=$(SRCDIR)/FAIRE

# ---------------------- 
#     mshmetlib

MSHMET_DIR = $(abs_top_builddir)/download/mshmet/mshmet$(mshmet_VERSION)
MSHMET_SRCDIRNOLIB = $(MSHMET_DIR)/sources
MSHMET_SRCDIR = $(MSHMET_DIR)/sourceslib
MSHMET_OBJDIR = $(MSHMET_DIR)/objects

mshmet: $(FAIRE) 

$(FAIRE):$(SRCDIR)/FAIT
	$(MAKE) WHERE $(SRCDIR)/$(INSTALL)  
	touch $(FAIRE)

$(SRCDIR)/FAIT:$(SRCDIR)/tag-tar
	cd $(MSHMET_DIR); $(MAKE)
	touch $(SRCDIR)/FAIT

install:$(SRCDIR)/FAIT  ../../src/libMesh/libMesh.a 
	cp $(MSHMET_SRCDIR)/mshmetlib.h  $(SRCDIR)/$(INSTALL)/include/mshmetlib.h
	cp $(MSHMET_OBJDIR)/libmshmet.a  $(SRCDIR)/$(INSTALL)/lib/libmshmet.a
	cp ../../src/libMesh/libMesh.a  $(SRCDIR)/$(INSTALL)/lib/libMesh.a
	mkdir -p $(SRCDIR)/$(INSTALL)/include/libMesh
	cp ../../src/libMesh/*h  $(SRCDIR)/$(INSTALL)/include/libMesh

../../src/libMesh/libMesh.a :
	cd ../../src/libMesh && $(MAKE) 

WHERE: 
	-if [ -f $(SRCDIR)/FAIT ] ; then \
	make install;  \
	echo mshmet  LD -L@DIR@/lib -lmshmet  >$(SRCDIR)/$(INSTALL)/lib/WHERE.mshmet ;\
	echo mshmet INCLUDE -I@DIR@/include>> $(SRCDIR)/$(INSTALL)/lib/WHERE.mshmet ;\
	echo libMesh  LD -L@DIR@/lib -lMesh  >$(SRCDIR)/$(INSTALL)/lib/WHERE.libMesh ;\
	echo libMesh INCLUDE -I@DIR@/include/libMesh >> $(SRCDIR)/$(INSTALL)/lib/WHERE.libMesh ;\
	fi


$(SRCDIR)/tag-tar: $(PACKAGE)
	-mkdir mshmet$(mshmet_VERSION)
	cd mshmet$(mshmet_VERSION); tar xvzf ../$(PACKAGE)
	-mkdir $(MSHMET_SRCDIR)
	cp $(MSHMET_SRCDIRNOLIB)/*.c $(MSHMET_SRCDIRNOLIB)/*.h $(MSHMET_SRCDIR)
	cp $(MSHMET_SRCDIRNOLIB)/compil.date $(MSHMET_SRCDIR)
	cp mshmetlib-internal.h mshmetlib.c mshmetlib.h $(MSHMET_SRCDIR)/
	rm $(MSHMET_SRCDIR)/mshmet.c
	rm $(MSHMET_SRCDIR)/chrono.c
	cp ../../src/libMesh/eigenv.c $(MSHMET_SRCDIR)
	cp Makefile-mshmet.inc $(MSHMET_DIR)/makefile
	cd $(MSHMET_SRCDIR); patch -p2 < ../../mshmet.2011.03.06.patch
	touch $(SRCDIR)/tag-tar

$(PACKAGE):
	-mkdir $(DIRPKG);
	cd $(DIRPKG);$(WGET)   $(SERVER)/`basename $(PACKAGE)`

clean-local: 
	-make -C $(MSHMET_DIR) clean;
	-rm $(MSHMET_OBJDIR)/libmshmet.a

clean: clean-local
	-rm ff-flags
	-rm $(SRCDIR)/$(INSTALL)/lib/WHERE.libMesh $(SRCDIR)/$(INSTALL)/lib/WHERE.mshmet 
	-rm $(SRCDIR)/$(INSTALL)/include/mshmetlib.h
	-rm $(SRCDIR)/$(INSTALL)/lib/libmshmet.a
	-rm -r $(SRCDIR)/$(INSTALL)/lib/libMesh.a
	-rm -r $(SRCDIR)/$(INSTALL)/include/libMesh
	-rm -rf $(SRCDIR)
	-rm FAIT $(FAIRE) 

ff-flags: ../Makefile 
	grep 'abs_top_builddir *=' ../Makefile >> ff-flags
	grep 'CC *=' ../Makefile >> ff-flags
	grep 'CFLAGS *=' ../Makefile >> ff-flags
	grep 'LDFLAGS *=' ../Makefile >> ff-flags
	grep 'AR *=' ../Makefile >> ff-flags
	grep 'ARFLAGS *=' ../Makefile >> ff-flags
	grep 'RANLIB *=' ../Makefile >> ff-flags
	grep 'WGET *=' ../Makefile >> ff-flags
	grep 'mshmet_VERSION *=' ./Makefile >> ff-flags


.PHONY: $(SRCDIR)/$(INSTALL)

=== download/nlopt/Makefile ===
URL="http://ab-initio.mit.edu/nlopt/nlopt-2.2.4.tar.gz"
SRCDIR=nlopt-2.2.4
TARGZ=../pkg/$(SRCDIR).tar.gz
include Make.defs

all: FAIRE

FAIRE: ../pkg $(SRCDIR)/FAIT 

$(SRCDIR)/FAIT: $(TARGZ)
	tar zxvf $(TARGZ)
	cd $(SRCDIR); ./configure  --with-cxx --prefix="$(FFDOWNLOAD)" CXX="$(CXX)" CXXFLAGS="$(CXXFLAGS)" CC="$(CC)" CFLAGS="$(CFLAGS)"  CP="$(CXXCPP)" "--without-threadlocal"
	cd $(SRCDIR); $(MAKE) install
	touch $(SRCDIR)/FAIT
	$(MAKE) WHERE
$(TARGZ):
	cd ../pkg;$(WGET) $(URL)
../pkg:
	mkdir $@
clean:
	rm -rf $(SRCDIR) Make.defs 
WHERE: 
	-if [ -f $(SRCDIR)/FAIT ] ; then \
	echo nlopt LD -L@DIR@/lib -lnlopt_cxx  >../lib/WHERE.nlopt ;\
	echo nlopt INCLUDE -I@DIR@/include >> ../lib/WHERE.nlopt ;\
	fi

Make.defs: ../../config.status	Makefile Make.inc
	../../config.status  --file="Make.defs:Make.inc"

=== download/scalapack/Makefile ===
# Downloading and compiling extra libraries
# -----------------------------------------

# $Id$
include SLmake.inc

all-local: scalapack

# Downloading and compiling scalapack
# ------------------------------
# http://www.netlib.org/scalapack/
# Hips information
DIRPKG=../pkg
SRCDIR=scalapack-2.0.2
PACKAGE1=$(DIRPKG)/scalapack-2.0.2.tgz
SERVER=http://www.netlib.org/scalapack/
INSTALL=../..
DIR1 = TOOLS/LAPACK/*.o
DIR2 = TOOLS/*.o
DIR3 = PBLAS/SRC/PBBLAS/*.o
DIR4 = PBLAS/SRC/PTZBLAS/*.o
DIR5 = PBLAS/SRC/PTOOLS/*.o
DIR6 = PBLAS/SRC/*.o
DIR7 = REDIST/SRC/*.o
DIR8 = SRC/*.o

scalapack: FAIRE

$(SRCDIR)/FAIT:$(SRCDIR)/tag-tar
	cp SLmake.inc $(SRCDIR)
	cd $(SRCDIR);$(MAKE) lib
	rm $(SRCDIR)/libscalapack.a
	cd $(SRCDIR);$(ARCH) $(ARCHFLAGS) libscalapack.a $(DIR1) $(DIR2) $(DIR3) $(DIR4) $(DIR5) $(DIR6) $(DIR7) $(DIR8)	
	$(RANLIB) $(SRCDIR)/libscalapack.a
	touch $(SRCDIR)/FAIT
install:
	mkdir -p $(SRCDIR)/$(INSTALL)/include
	cp $(SRCDIR)/SRC/*.h $(SRCDIR)/$(INSTALL)/include
	mkdir -p $(SRCDIR)/$(INSTALL)/lib
	cp $(SRCDIR)/libscalapack.a $(SRCDIR)/$(INSTALL)/lib

WHERE:
	if [ -f $(SRCDIR)/FAIT ] ; then \
	make install;  \
	echo scalapack LD -L@DIR@/lib  -lscalapack   >$(SRCDIR)/$(INSTALL)/lib/WHERE.scalapack ;\
	echo scalapack INCLUDE -I@DIR@/include  >> $(SRCDIR)/$(INSTALL)/lib/WHERE.scalapack ;\
	fi

FAIRE: $(SRCDIR)/FAIT
	$(MAKE) WHERE
	touch FAIRE 

SLmake.inc: ../../config.status	Makefile
	../../config.status  --file="SLmake.inc:SLmake-scalapack.inc"

$(SRCDIR)/tag-tar: $(PACKAGE1)
	gunzip -c $(PACKAGE1) | tar xvf -
	touch $(SRCDIR)/tag-tar

$(PACKAGE1):
	-mkdir $(DIRPKG)
	cd $(DIRPKG);$(WGET)  $(SERVER)/`basename $(PACKAGE1)`

clean-local:
	-cd $(SRCDIR) && $(MAKE) cleanlib  -C $(SRCDIR)

clean: clean-local
	-rm SLmake.inc FAIRE FAIT
	-rm -rf $(SRCDIR)/$(INSTALL)/include/{pblas.h,pxsyevx.h,tools.h}
	-rm -rf $(SRCDIR)/$(INSTALL)/lib/libscalapack.a
	-rm -rf $(SRCDIR)

.PHONY:$(SRCDIR)/$(INSTALL)

=== download/scotch/Makefile ===
# Downloading and compiling extra libraries
# -----------------------------------------

# $Id$
include Makefile.inc

all-local: scotch

# Downloading and compiling scotch
# -------------------------------
# http://gforge.inria.fr/frs/download.php/23391/scotch_5.1.7_esmumps.tar.gz
# Scotch information
DIRPKG=../pkg
SRCDIR=scotch_$(scotch_VERSION)
PACKAGE=$(DIRPKG)/scotch_$(scotch_VERSION_LOCAL).tar.gz
SERVER=http://gforge.inria.fr/frs/download.php/23391
INSTALL=../..
scotch_VERSION=5.1_esmumps
scotch_VERSION_LOCAL=5.1.6_esmumps

scotch: FAIRE

$(SRCDIR)/AFAIRE:
	$(MAKE) install 

FAIRE: $(SRCDIR)/FAIT
	$(MAKE)  WHERE
	touch FAIRE
Makefile.inc: ../../config.status Makefile-scotch.inc Makefile
	../../config.status  --file="Makefile.inc:Makefile-scotch.inc"
	case `uname` in *CYGWIN*)  cp Makefile.inc Makefile.inn; sed "s/COPTIONS =/COPTIONS = -D__VC__/" <Makefile.inn > Makefile.inc; rm Makefile.inn ;; esac 
	case `uname` in *CYGWIN*|*MINGW*)  cp Makefile.inc Makefile.inn; sed "s/-DCOMMON_RANDOM_FIXED_SEED/-DCOMMON_RANDOM_RAND -DCOMMON_RANDOM_FIXED_SEED -D'pipe(pfds)=_pipe(pfds,1024,0x8000)'/" <Makefile.inn > Makefile.inc; rm Makefile.inn ;; esac 

$(SRCDIR)/FAIT: $(SRCDIR)
	cp Makefile.inc $(SRCDIR)/src/
	cd $(SRCDIR)/src/; make scotch
	test -n "$(CCP)" && ( cd $(SRCDIR)/src/; make ptscotch)
	touch $(SRCDIR)/FAIT

install:$(SRCDIR)/FAIT
	mkdir -p $(SRCDIR)/$(INSTALL)/include/scotch
	cp $(SRCDIR)/include/*.h $(SRCDIR)/$(INSTALL)/include/scotch/
	cp $(SRCDIR)/lib/*.a $(SRCDIR)/$(INSTALL)/lib/
WHERE:
	if [ -f  $(SRCDIR)/FAIT ] ; then \
	$(MAKE) install; \
	test -n "$(CCP)" && echo ptscotch LD -L@DIR@/lib  -lptesmumps -lptscotch -lptscotcherr   >$(SRCDIR)/$(INSTALL)/lib/WHERE.scotch ;\
	test -n "$(CCP)" && echo ptscotch INCLUDE -I@DIR@/include/scotch  >> $(SRCDIR)/$(INSTALL)/lib/WHERE.scotch ;\
	echo scotch LD -L@DIR@/lib   -lscotch -lscotcherr   >>$(SRCDIR)/$(INSTALL)/lib/WHERE.scotch ;\
	echo scotch INCLUDE -I@DIR@/include/scotch  >> $(SRCDIR)/$(INSTALL)/lib/WHERE.scotch ;\
	fi

$(SRCDIR): $(PACKAGE)
	tar xvzf $(PACKAGE)
	cd $(SRCDIR)/src/libscotch/; patch -p1 < ../../../scotch_5.1_esmumps.patch
	cd $(SRCDIR)/src/esmumps/; patch -p1 < ../../../Makefile.patch
	touch $(SRCDIR)

$(PACKAGE):
	-mkdir $(DIRPKG);
	cd $(DIRPKG);$(WGET)    $(SERVER)/`basename $(PACKAGE)`

clean-local:
	-cd $(SRCDIR)/src && $(MAKE)  realclean  -C $(SRCDIR)/src
clean: clean-local
	-rm Makefile.inc
	-rm -rf $(SRCDIR)
	-rm FAIRE 
.PHONY:$(SRCDIR)/$(INSTALL)

=== download/superlu/Makefile ===
# Downloading and compiling extra libraries
# -----------------------------------------
# $Id$

all-local: superlu

# Downloading and compiling Tetgen
# ------------------------------

# SUPERLU information
#http://crd.lbl.gov/~xiaoye/SuperLU/superlu_4.0.tar.gz
DIRPKG=../pkg
SRCDIR=SuperLU_4.3
PACKAGE=superlu_4.3.tar.gz
PACKAGE_PATH=$(DIRPKG)/$(PACKAGE)
SERVER=http://crd-legacy.lbl.gov/~xiaoye/SuperLU/
# http://crd-legacy.lbl.gov/~xiaoye/SuperLU/superlu_4.3.tar.gz
INSTALL=../..
SUPERLU_VERSION=4.3
SUPERLULIB=../$(INSTALL)/lib/libsuperlu_$(SUPERLU_VERSION).a
include  ff-FLAGS

### LAPACK 
LAAUX 	= lsame.o xerbla.o
SLASRC 	= slacon.o 
DLASRC	= dlacon.o
CLASRC	= clacon.o scsum1.o icmax1.o
ZLASRC	= zlacon.o dzsum1.o izmax1.o
SCLAUX 	= slamch.o
DZLAUX 	= dlamch.o

### SuperLU 
ALLAUX 	= superlu_timer.o util.o memory.o get_perm_c.o mmd.o \
	  sp_coletree.o sp_preorder.o sp_ienv.o relax_snode.o \
	  heap_relax_snode.o colamd.o

SLUSRC = \
	sgssv.o sgssvx.o \
	ssp_blas2.o ssp_blas3.o sgscon.o  \
	slangs.o sgsequ.o slaqgs.o spivotgrowth.o \
	sgsrfs.o sgstrf.o sgstrs.o scopy_to_ucol.o \
	ssnode_dfs.o ssnode_bmod.o \
	spanel_dfs.o spanel_bmod.o sreadhb.o \
	scolumn_dfs.o scolumn_bmod.o spivotL.o spruneL.o \
	smemory.o sutil.o smyblas2.o

DLUSRC = \
	dgssv.o dgssvx.o \
	dsp_blas2.o dsp_blas3.o dgscon.o \
	dlangs.o dgsequ.o dlaqgs.o dpivotgrowth.o  \
	dgsrfs.o dgstrf.o dgstrs.o dcopy_to_ucol.o \
	dsnode_dfs.o dsnode_bmod.o \
	dpanel_dfs.o dpanel_bmod.o dreadhb.o \
	dcolumn_dfs.o dcolumn_bmod.o dpivotL.o dpruneL.o \
	dmemory.o dutil.o dmyblas2.o ## dgstrsL.o dgstrsU.o

CLUSRC = \
	scomplex.o cgssv.o cgssvx.o csp_blas2.o csp_blas3.o cgscon.o \
	clangs.o cgsequ.o claqgs.o cpivotgrowth.o  \
	cgsrfs.o cgstrf.o cgstrs.o ccopy_to_ucol.o \
	csnode_dfs.o csnode_bmod.o \
	cpanel_dfs.o cpanel_bmod.o creadhb.o \
	ccolumn_dfs.o ccolumn_bmod.o cpivotL.o cpruneL.o \
	cmemory.o cutil.o cmyblas2.o

ZLUSRC = \
	dcomplex.o zgssv.o zgssvx.o zsp_blas2.o zsp_blas3.o zgscon.o \
	zlangs.o zgsequ.o zlaqgs.o zpivotgrowth.o  \
	zgsrfs.o zgstrf.o zgstrs.o zcopy_to_ucol.o \
	zsnode_dfs.o zsnode_bmod.o \
	zpanel_dfs.o zpanel_bmod.o zreadhb.o \
	zcolumn_dfs.o zcolumn_bmod.o zpivotL.o zpruneL.o \
	zmemory.o zutil.o zmyblas2.o


OBJ_SUPERLU = $(ALLAUX) $(LAAUX) \
 $(SLUSRC)  $(SLASRC) $(SCLAUX) \
 $(DLUSRC)  $(DLASRC) $(DZLAUX) \
 $(CLUSRC)  $(CLASRC) \
 $(ZLUSRC)  $(ZLASRC) 

superlu: FAIT

FAIT:	
	$(MAKE)  install WHERE
	touch FAIT


FAIRE:$(SRCDIR)
	cd $(SRCDIR)/SRC; $(MAKE) -f ../../ff-FLAGS  $(OBJ_SUPERLU)
	touch FAIRE

install: FAIRE WHERE
	cd $(SRCDIR)/SRC; $(AR) $(ARFLAGS) $(SUPERLULIB)  $(OBJ_SUPERLU)
	cd $(SRCDIR)/SRC; $(RANLIB) $(SUPERLULIB) 
	cp $(SRCDIR)/SRC/s*h  $(SRCDIR)/$(INSTALL)/include
WHERE:
	echo superlu LD -L@DIR@/lib -lsuperlu_$(SUPERLU_VERSION)  >$(SRCDIR)/$(INSTALL)/lib/WHERE.superlu
	echo superlu INCLUDE -I@DIR@/include >> $(SRCDIR)/$(INSTALL)/lib/WHERE.superlu




$(SRCDIR)/$(INSTALL): 
	mkdir $(SRCDIR)/$(INSTALL)


$(SRCDIR): $(PACKAGE_PATH)
	tar xvzf $(PACKAGE_PATH)
	touch $(SRCDIR)

$(PACKAGE_PATH):
	-mkdir $(DIRPKG);
	cd $(DIRPKG);$(WGET)  $(SERVER)$(PACKAGE)

clean-local:
	-rm -rf superlu*
clean:
	-rm $(SRCDIR)/SRC/$(SUPERLULIB)
	-rm $(SRCDIR)/$(INSTALL)/include/slu*h 
	-rm $(SRCDIR)/$(INSTALL)/include/supermatrix.h
	-rm -r $(SRCDIR) ff-FLAGS
	-rm -rf FAIT FAIRE


ff-FLAGS: ../Makefile  Makefile 
	grep '^CXX *=' ../Makefile >>$@
	grep '^CC *=' ../Makefile >>$@
	grep '^CFLAGS *=' ../Makefile >>$@
	grep '^BLAS[A-Z ]*='  ../Makefile|grep =  >>$@
	grep '^AR *='  ../Makefile|grep =  >>$@
	grep '^ARFLAGS *='  ../Makefile|grep =  >>$@
	grep '^RANLIB *='    ../Makefile|grep =  >>$@
	grep '^WGET *='    ../Makefile|grep =  >>$@

=== download/superludist/Makefile ===
# Downloading and compiling extra libraries
# -----------------------------------------

# $Id$

all-local: superludist

# Downloading and compiling SuperLU DIST
# ------------------------------

# SUPERLU information
#http://crd.lbl.gov/~xiaoye/SuperLU/superlu_3.1.tar.gz
#http://crd-legacy.lbl.gov/~xiaoye/SuperLU/superlu_dist_3.0.tar.gz
DIRPKG=../pkg
SRCDIR=SuperLU_DIST_3.0
PACKAGE=superlu_dist_3.0.tar.gz
PACKAGE_PATH=$(DIRPKG)/$(PACKAGE)
SERVER=http://crd-legacy.lbl.gov/~xiaoye/SuperLU/
INSTALL=../..
SUPERLU_DIST_VERSION=3.0
DISTSUPERLULIB=../$(INSTALL)/lib/libsuperlu_dist_3.0.a
WGET=wget

include make.inc

superludist: FAIT

FAIT:	
	$(MAKE) FAIRE install WHERE
	touch FAIT


FAIRE: $(SRCDIR)/SRC/$(DSUPERLULIB)  
	touch FAIRE

make.inc: ../../config.status  Makefile
	grep 'abs_top_builddir *=' ../Makefile >> dirflags
	cat dirflags make-superlu.inc > make-superlu-tmp.inc
	rm dirflags
	../../config.status  --file="make.inc:make-superlu-tmp.inc"
	case 'uname' in *CYGWIN_) cp make.inc Makefile.inn; sed "s/COPTIONS =/COPTIONS = -D__VC__/" <Makefile.inn > Makefile.in; rm Makefile.inn ;; esac
	rm make-superlu-tmp.inc

$(SRCDIR)/SRC/$(DSUPERLULIB): $(SRCDIR)
	cp make.inc $(SRCDIR)/make.inc
	cd $(SRCDIR)/SRC; $(MAKE)
install:
	mkdir -p $(SRCDIR)/$(INSTALL)/include/superludist
	cp $(SRCDIR)/SRC/*.h  $(SRCDIR)/$(INSTALL)/include/superludist
WHERE:
	echo superlu_dist LD -L@DIR@/lib -lsuperlu_dist_3.0  >$(SRCDIR)/$(INSTALL)/lib/WHERE.superlu_dist
	echo superlu_dist INCLUDE -I@DIR@/include/superludist  >> $(SRCDIR)/$(INSTALL)/lib/WHERE.superlu_dist


$(SRCDIR): $(PACKAGE_PATH)
	tar xvzf $(PACKAGE_PATH)
	cd $(SRCDIR)/SRC/; patch -p1 < ../../superludist_2.3.patch
	touch $(SRCDIR)

$(PACKAGE_PATH):
	-mkdir $(DIRPKG);
	cd $(DIRPKG);$(WGET)  $(SERVER)$(PACKAGE)

clean-local:
	-cd $(SRCDIR) &&  $(MAKE) clean -C $(SRCDIR)

clean: clean-local
	-rm -rf $(SRCDIR)
	-rm  $(SRCDIR)/$(INSTALL)/include/superludist/*.h
	-rm -r $(SRCDIR)/$(INSTALL)/include/superludist/
	-rm -r $(SRCDIR)/$(INSTALL)/lib/libsuperlu_dist*.a
	-rm -r make.inc
	-rm -rf FAIT FAIRE

=== debian/changelog ===
freefem++ (3.20-1) experimental; urgency=low

  * New upstream release.
  * Add libnlopt-dev and coinor-libipopt-dev to build-deps.
  * Update patch examples++-load-Makefile.patch.
  * Remove patch examples-load-WHERE-LIBRARY.patch.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Thu, 18 Oct 2012 14:14:12 +0300

=== debian/control ===
Source: freefem++
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>, 
 Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9~), autotools-dev, gawk, gfortran, 
 flex, bison, libxt-dev, libxext-dev, libxxf86vm-dev, libhypre-dev, 
 libxpm-dev, mpi-default-dev, libfftw3-dev, libblas-dev, libgsl0-dev,
 libarpack2-dev, libsuitesparse-dev, libsuperlu3-dev, imagemagick, 
 libfltk1.3-dev | libfltk-dev, freeglut3-dev, texlive, texlive-extra-utils, 
 texlive-latex-extra, texlive-font-utils, libmumps-ptscotch-dev,
 libmumps-dev, libblacs-mpi-dev, libscalapack-mpi-dev, libgmm++-dev, 
 libscotch-dev, ghostscript, libptscotch-dev, libmumps-scotch-dev,
 libmumps-seq-dev, libnlopt-dev, coinor-libipopt-dev
Standards-Version: 3.9.3
Homepage: http://www.freefem.org/ff++/
Vcs-Git: git://git.debian.org/debian-science/packages/freefempp.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/freefempp.git

Package: freefem++
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Provides the binaries of the FreeFem++ FE suite
 FreeFem++ is an implementation of a language dedicated to the finite
 element method. It enables you to solve Partial Differential
 Equations (PDE) easily.
 .
 Problems involving PDE from several branches of physics such as
 fluid-structure interactions require interpolations of data on
 several meshes and their manipulation within one program. FreeFem++
 includes a fast quadtree-based interpolation algorithm and a language
 for the manipulation of these data on multiple meshes. It contains
 also a powerful mesh generation and adaption tool integrated
 seamlessly in FreeFem++ called bamg.
 .
 FreeFem++ is written in C++ and the FreeFem++ language is a C++ idiom
 allowing for a smooth learning curve.
 .
 This package contains the executables of FreeFem++.

Package: libfreefem++
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Provides the shared libraries of the FreeFem++ FE suite
 FreeFem++ is an implementation of a language dedicated to the finite
 element method. It enables you to solve Partial Differential
 Equations (PDE) easily.
 .
 Problems involving PDE from several branches of physics such as
 fluid-structure interactions require interpolations of data on
 several meshes and their manipulation within one program. FreeFem++
 includes a fast quadtree-based interpolation algorithm and a language
 for the manipulation of these data on multiple meshes. It contains
 also a powerful mesh generation and adaption tool integrated
 seamlessly in FreeFem++ called bamg.
 .
 FreeFem++ is written in C++ and the FreeFem++ language is a C++ idiom
 allowing for a smooth learning curve.
 .
 This package contains the shared libraries of FreeFem++.

Package: libfreefem++-dev
Architecture: any
Section: libdevel
Depends: libfreefem++, ${shlibs:Depends}, ${misc:Depends}
Description: Provides the development files of the FreeFem++ FE suite
 FreeFem++ is an implementation of a language dedicated to the finite
 element method. It enables you to solve Partial Differential
 Equations (PDE) easily.
 .
 Problems involving PDE from several branches of physics such as
 fluid-structure interactions require interpolations of data on
 several meshes and their manipulation within one program. FreeFem++
 includes a fast quadtree-based interpolation algorithm and a language
 for the manipulation of these data on multiple meshes. It contains
 also a powerful mesh generation and adaption tool integrated
 seamlessly in FreeFem++ called bamg.
 .
 FreeFem++ is written in C++ and the FreeFem++ language is a C++ idiom
 allowing for a smooth learning curve.
 .
 This package contains the development files of FreeFem++.

Package: freefem++-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Provides the documentation of the FreeFem++ FE suite
 FreeFem++ is an implementation of a language dedicated to the finite
 element method. It enables you to solve Partial Differential
 Equations (PDE) easily.
 .
 Problems involving PDE from several branches of physics such as
 fluid-structure interactions require interpolations of data on
 several meshes and their manipulation within one program. FreeFem++
 includes a fast quadtree-based interpolation algorithm and a language
 for the manipulation of these data on multiple meshes. It contains
 also a powerful mesh generation and adaption tool integrated
 seamlessly in FreeFem++ called bamg.
 .
 FreeFem++ is written in C++ and the FreeFem++ language is a C++ idiom
 allowing for a smooth learning curve. 
 .
 This package contains the documentation files of FreeFem++.
